#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m,l,r,x,br;
    cin>>n>>m;
    int d[n],u[n];
    for(int i=0;i<n;i++)
        cin>>d[i]>>u[i];
    for(int i=0;i<m;i++)
    {
        cin>>l>>r>>x;
        l--;
        r--;
        br=0;
        for(int j=l;j<=r;j++)
            if((x>=d[j])&&(x<=u[j]))
                br++;
        cout<<br<<endl;
    }
}